package com.saye.hrs.service;


import java.util.HashMap;
import java.util.List;
/**
 * (Doctor)表服务接口
 *
 * @author makejava
 * @since 2021-09-16 15:17:21
 */
public interface DoctorService {

    HashMap<Object, Object> findDoctorById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findDoctorList(HashMap<Object,Object> map);

    void insertDoctor(HashMap<Object,Object> map);

    void updateDoctor(HashMap<Object,Object> map);

    void deleteDoctorById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findDoctorSchedualList(HashMap<Object, Object> map);
}
